<template>
    <div>
        <div v-if='routeName=="showDashboard" || routeName=="showRegister" || routeName=="resetPassword"'>
            <div class="height-10 w-100 shadow-lg px-4 bg-brand-gradient">
                <div class="d-flex align-items-center container p-0">
                    <div class="col-md-8 page-logo width-mobile-auto m-0 align-items-center justify-content-center p-0 bg-transparent bg-img-none shadow-0 height-9">
                        <router-link to="/dashboard" class="page-logo-link press-scale-down d-flex align-items-center">
                            <img src="/img/Sapfonte-logo-tran70.png" style="width:150px" alt="Sapfonte" aria-roledescription="logo">
                        </router-link>
                    </div>

                    <div class="col-md-4 text-right">
                        <router-link to="/login" class="btn-link text-white ml-auto">
                            Login
                        </router-link>
                        <b class="ml-3 mr-3">|</b>
                        <router-link to="/register" class="btn-link text-white ml-auto">
                            Register
                        </router-link>
                    </div>
                </div>
            </div>
        </div>
        <div v-else>
            <header class="page-header" role="banner">
                <!-- DOC: nav menu layout change shortcut -->
                <div class="hidden-md-down dropdown-icon-menu position-relative">
                    <a href="javascript:void(0)" class="header-btn btn js-waves-off" data-action="toggle" data-class="nav-function-hidden" title="Hide Navigation">
                        <i class="ni ni-menu"></i>
                    </a>
                    <ul>
                        <li>
                            <a href="javascript:void(0)" class="btn js-waves-off" data-action="toggle" data-class="nav-function-minify" title="Minify Navigation">
                                <i class="ni ni-minify-nav"></i>
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0)" class="btn js-waves-off" data-action="toggle" data-class="nav-function-fixed" title="Lock Navigation">
                                <i class="ni ni-lock-nav"></i>
                            </a>
                        </li>
                    </ul>
                </div>
                <!-- DOC: mobile button appears during mobile width -->
                <div class="hidden-lg-up">
                    <a href="javascript:void(0)" class="header-btn btn press-scale-down" data-action="toggle" data-class="mobile-nav-on">
                        <i class="ni ni-menu"></i>
                    </a>
                </div>
                <div class="ml-auto d-flex">
                    <!-- app user menu -->
                    <div>
                        <a href="javascript:void(0)" data-toggle="dropdown" title="drlantern@gotbootstrap.com" class="header-icon d-flex align-items-center justify-content-center ml-2">
                            <img :src="gravatar" class="profile-image rounded-circle" alt="Dr. Codex Lantern">
                        </a>
                        <div class="dropdown-menu dropdown-menu-animated dropdown-lg">
                            <div class="dropdown-header bg-trans-gradient d-flex flex-row py-4 rounded-top">
                                <div class="d-flex flex-row align-items-center mt-1 mb-1 color-white">
                                    <span class="mr-2">
                                        <img :src="gravatar" class="rounded-circle profile-image" alt="Dr. Codex Lantern">
                                    </span>
                                    <div class="info-card-text">
                                        <div class="fs-lg text-truncate text-truncate-lg">Dr. Codex Lantern</div>
                                        <span class="text-truncate text-truncate-md opacity-80">drlantern@gotbootstrap.com</span>
                                    </div>
                                </div>
                            </div>
                            <div class="dropdown-divider m-0"></div>
                            <a class="dropdown-item fw-500 pt-3 pb-3" href="page_login_alt.html">
                                <span data-i18n="drpdwn.page-logout">Logout</span>
                                <span class="float-right fw-n">&commat;codexlantern</span>
                            </a>
                        </div>
                    </div>
                </div>
            </header>
        </div>
    </div>
    
</template>

<script>
    export default {
        name: 'Topnav',
        data() {
            return {
                routeName:'',
                gravatar:''
            }
        },
        created(){
            this.$routeName = this.$route.name
            this.routeName = this.$routeName
            this.gravatar = localStorage.getItem("gravatar")
        },
        watch:{
            $route()
            {
                this.$routeName = this.$route.name
                this.routeName = this.$routeName
            }
        }
    }
</script>

<style scoped>

</style>